Bug 169234 - No root certificate created
No root certificate created
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
4
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Janousek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-25 16:38 EDT by Erick Calder
Modified: 2014-01-21 17:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-31 02:25:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erick Calder 2005-09-25 16:38:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/312.5 (KHTML, like Gecko) Safari/312.3

Description of problem:
the RPM for this component comes with a script (/usr/share/doc/dovecot-0.99.14/examples/
mkcert.sh) that generates a .pem file for use with SSL.  For the sake of preventing IMAP clients from 
complaining that they do not trust the root certificate, it would be useful to have this script generate 
this as well and even nicer would be to include instructions as to how to install the root cert in the 
client.

I'd be happy to create a patch if I had any idea that there was some way I could contribute it and it 
would end up in the distro.

how do I go about submitting it?

Version-Release number of selected component (if applicable):
0.99.14-4.fc4

How reproducible:
Always

Steps to Reproduce:
1. run generation script mentioned above
2. observe no root certificat is created
3.
  

Additional info:
Comment 1 Petr Rockai 2006-02-09 05:09:11 EST
Yes, it would be nice if you could make the patch, but please be sure you do    
that against the current dovecot version. If it is good (it works and does not    
break things), i will be happy to include it in FC6. To submit it, just attach  
it to this bugzilla entry and flip its state to ASSIGNED. Till then, it will 
be waiting for you :-). 
Comment 3 Erick Calder 2007-11-07 14:08:15 EST
sorry, I totally lost track of this.  I will try to get to it yet.
Comment 4 petrosyan 2008-02-28 21:19:45 EST
Fedora Core 4 is no longer maintained. Is this bug still present in Fedora 8?
Comment 5 petrosyan 2008-03-31 02:25:20 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.